## mpg123 1.12.1-3maemo1

=== debian/changelog ===
mpg123 (1.12.1-3maemo1) unstable; urgency=low

  * Fremantle packaging

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 19:28:59 +0200

mpg123 (1.12.1-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Remove libartsc0-dev from build depends. 

 -- Lorenzo De Liso <blackz@ubuntu.com>  Mon, 06 Sep 2010 01:14:59 +0200

mpg123 (1.12.1-3) unstable; urgency=low

  * src/libmpg123/readers.c: Fix fast reading of ICY streams via http.
    Patch from upstream version 1.12.3.

 -- Daniel Kobras <kobras@debian.org>  Mon, 30 Aug 2010 20:05:09 +0200

mpg123 (1.12.1-2ubuntu2) maverick; urgency=low

  * No-change rebuild for JACK2 transition.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 21 Jul 2010 12:44:20 +0200

mpg123 (1.12.1-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #607215). Remaining changes:
    - debian/control: Remove libartsc0-dev from build depends.

 -- Angel Abad <angelabad@gmail.com>  Tue, 15 Jun 2010 07:32:48 +0100

mpg123 (1.12.1-2) unstable; urgency=low

  * configure.ac, src/libmpg123/frame.c: Apply backport of upstream patch
    to fix calculation of pointer alignment on 32bit archs. Many thanks
    to William Pitcock, Gregor Herrmann, and upstream author Thomas Orgis
    for tracking down this problem. Closes: #580095
  * debian/rules: Run autoreconf to rebuild configure script after
    having applied above patch. In clean target, remove any files
    altered by autoreconf.
  * debian/control: Build-depend on automake and autoconf for autoreconf.

 -- Daniel Kobras <kobras@debian.org>  Wed, 09 Jun 2010 21:40:23 +0200

mpg123 (1.12.1-1) unstable; urgency=low

  * New upstream version. Closes: #572975
  * debian/control: Package complies with version 3.8.4 of Debian policy.
  * debian/control: Add substitution variable misc:Depends to package
    dependency lines to placate lintian.
  * debian/libmpg123-0.symbols.common.in: Add new symbols mpg123_open_handle
    and mpg123_replace_reader_handle.

 -- Daniel Kobras <kobras@debian.org>  Wed, 28 Apr 2010 21:18:28 +0200

mpg123 (1.12.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    * Direct request from upstream for compatibility purposes
    * Also unifies the large/small file support issues we had earlier

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 31 Mar 2010 14:56:30 -0700

mpg123 (1.10.1~prerelease2-0ubuntu1) lucid; urgency=low

  * New upstream release
    * Use prerelease to fix a Wine build failure (LP: #522916)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 16 Feb 2010 13:56:34 -0800

mpg123 (1.10.0-2ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining change:
    - debian/control: Remove libartsc0-dev from build depends.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 21 Dec 2009 00:11:29 -0500

mpg123 (1.10.0-2) unstable; urgency=low

  * src/libmpg123/dither.[hc]: Disable function mpg123_noise that is not
    yet part of libmpg123's official API and should therefore not get
    exported.
  * debian/libmpg123-0.symbols.common.in: Remove symbol mpg123_noise
    accordingly. Closes: #559892

 -- Daniel Kobras <kobras@debian.org>  Thu, 10 Dec 2009 20:42:32 +0100

mpg123 (1.10.0-1) unstable; urgency=low

  * New upstream release 1.10.0.
  * debian/libmpg123-0.symbols.common.in: Add four new symbols.
  * debian/libmpg123-0.symbols.{32bit,64bit}.in: Add one new\
    architecture-dependent symbol.
  * debian/control: Complies with version 3.8.3 of Debian policy.

 -- Daniel Kobras <kobras@debian.org>  Sun, 06 Dec 2009 23:13:36 +0100

mpg123 (1.9.1-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/control: Remove libartsc0-dev from build depends.
  * ChangeLog,NEWS,configure.ac,mpg123.spec,src/libmpg123/libmpg123.c:
    - Drop all Ubuntu deltas that were just informational and are no
      longer relevant
    + Regenerate configure

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 06 Nov 2009 03:27:47 +0000

mpg123 (1.9.1-2) unstable; urgency=low

  * debian/rules: Disable PIE on mips/mipsel due to binutils bug #532821.
    Works around build failures on these archs.
  * debian/rules: Include contents of config.log in build log if
    configure fails.

 -- Daniel Kobras <kobras@debian.org>  Mon, 19 Oct 2009 22:51:48 +0200

mpg123 (1.9.1-1) unstable; urgency=low

  * New upstream version 1.9.1.
  * src/output/arts.c: Drop Debian-specific 64bit patch (fixed upstream).
  * debian/libmpg123-0.symbols.common.in: Add two new exported library
    symbols. 

 -- Daniel Kobras <kobras@debian.org>  Wed, 14 Oct 2009 21:43:18 +0200

mpg123 (1.7.3-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Includes a fix for a regression in forward seeking

 -- Scott Ritchie <scottritchie@ubuntu.com>  Mon, 14 Sep 2009 04:58:49 -0700

mpg123 (1.7.2-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove arts from dependencies

 -- César Muñoz Albitres <cemual@gmail.com>  Sun, 03 May 2009 17:55:27 -0500

mpg123 (1.7.2-3) unstable; urgency=low

  * debian/alt_deps.py: Add helper code to fold several (plugin)
    dependencies into a single alternative dependency. Used to
    auto-generate the default Recommends for "first-class" output
    plugins. Unlike the previous hack in debian/rules, the helper
    tool can handle several dependency entries per plugin. Fixes
    build errors on several archs where plugins picked out a different
    versioned dependency on libc6 than the rest of the packages.
    Closes: #524246
  * debian/control: Add build-dependency on python-minimal for
    helper tool.
  * debian/rules: Remove previous hack to generate plugin:Recommends
    and use helper tool instead.

 -- Daniel Kobras <kobras@debian.org>  Sat, 18 Apr 2009 22:34:51 +0200

mpg123 (1.7.2-2) unstable; urgency=low

  * debian/libmpg123-0.symbols*: Distinguish between symbols on 32bit
    and 64bit platforms. Closes: #523592


