=== debian/control ===
Source: mpg123
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Kobras <kobras@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 5), autotools-dev, autoconf, automake, pkg-config, libltdl3-dev, libesd0-dev, libaudio-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev, libpulse-dev [!hurd-i386], python-minimal

Package: mpg123
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}, ${plugin:Recommends}
Suggests: ${shlibs:Suggests}
Provides: mp3-decoder, mpg123-oss-3dnow
Replaces: mpg123-oss-3dnow, mpg123-alsa, mpg123-esd, mpg123-nas, mpg123-oss-i486
Description: MPEG layer 1/2/3 audio player
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 This package contains output plugins for several audio systems, including
 OSS/Lite, the Advanced Linux Sound Architecture (ALSA) on Linux systems,
 the Enlightened Sound Daemon (esound), the Network Audio System (NAS),
 and others.

Package: libmpg123-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MPEG layer 1/2/3 audio decoder -- runtime library
 Mpg123 is a fast and portable MPEG audio decoder for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 This package contains the C libraries needed to run executables that use
 the mpg123 library.

Package: libmpg123-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmpg123-0 (= ${binary:Version})
Description: MPEG layer 1/2/3 audio decoder -- development files
 Mpg123 is a fast and portable MPEG audio decoder for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 This package contains the C development headers and library files needed to
 compile programs using the mpg123 library.

Package: mpg123-oss-i486
Architecture: i386 kfreebsd-i386
Depends: mpg123 (>= 1.4.3-1), ${misc:Depends}, oss-compat
Provides: mpg123, mp3-decoder
Conflicts: mpg123 (<< 0.59r-2)
Description: MPEG layer 1/2/3 audio player for i486 machines - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 This package used to contain an executable specially optimized for i486
 processors, but nowadays just depends on the generic package mpg123. It is
 an empty dummy package to facilitate upgrades and can be safely removed.

Package: mpg123-oss-3dnow
Architecture: i386
Depends: mpg123 (>= 0.61-1), ${misc:Depends}
Description: MPEG layer 1/2/3 audio player for 3DNow! machines - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 An mpg123 optimised for the 3DNow! command set nowadays is part of the main
 package mpg123. This is an empty dummy package to facilitate upgrades and
 can be safely removed.

Package: mpg123-esd
Architecture: any
Depends: mpg123 (>= 1.4.3-1), ${misc:Depends}, ${esdplugin:Recommends}
Suggests: esound
Description: MPEG layer 1/2/3 audio player with Esound support - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 The main mpg123 nowadays already contains an esd output plugin by default.
 This is an empty dummy package to facilitate upgrades. It can be safely
 removed afterwards.

Package: mpg123-nas
Architecture: any
Depends: mpg123 (>= 1.4.3-1), ${misc:Depends}, ${nasplugin:Recommends}
Suggests: nas
Description: MPEG layer 1/2/3 audio player with NAS support - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 The main mpg123 nowadays already contains an output plugin for NAS by default.
 This is an empty dummy package to facilitate upgrades. It can be safely
 removed afterwards.

Package: mpg123-alsa
Architecture: any
Depends: mpg123 (>= 1.4.3-1), ${misc:Depends}, ${alsaplugin:Recommends}
Description: MPEG layer 1/2/3 audio player with ALSA support - dummy package
 Mpg123 is a fast and portable MPEG audio player for Unix.  It supports
 MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
 . 
 For full CD quality playback (44 kHz, 16 bit, stereo) a Pentium,
 SPARCstation10, DEC Alpha or similar CPU is required.  Mono and/or reduced
 quality playback (22 kHz or 11 kHz) is even possible on 486 CPUs.
 .
 The main mpg123 nowadays already contains an output plugin for ALSA by default.
 This is an empty dummy package to facilitate upgrades. It can be safely
 removed afterwards.
