## mpg123 1.12.1-3maemo2

=== debian/changelog ===
mpg123 (1.12.1-3maemo2) unstable; urgency=low

  * Dropped: libltdl3 (libltd3 is on SDK-repository, not very handy for device)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 18 May 2011 09:56:59 +0200
