=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: mpg123
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libc6
 Recommends: ${shlibs:Recommends}, ${plugin:Recommends}
 Suggests: ${shlibs:Suggests}
 Provides: mp3-decoder, mpg123-oss-3dnow
