=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Package: libmpg123-0
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libc6
 Description: MPEG layer 1/2/3 audio decoder -- runtime library
  Mpg123 is a fast and portable MPEG audio decoder for Unix.  It supports
  MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files).
