## mpg123 1.12.1-3maemo4

=== debian/changelog ===
mpg123 (1.12.1-3maemo4) unstable; urgency=low

  * Added: libltdl7

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 18 May 2011 12:47:59 +0200
