=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Kobras <kobras@debian.org>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>> 5), autotools-dev, autoconf, automake, pkg-config, libltdl3-dev, libesd0-dev, libaudio-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev, libpulse-dev [!hurd-i386], python-minimal
+Build-Depends: debhelper (>> 5), autotools-dev, autoconf, automake, pkg-config, libtool, libltdl7-dev, libesd0-dev, libaudio-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev, libpulse-dev [!hurd-i386], python-minimal
 
 Package: mpg123
 Architecture: any
