## mpg123 1.14.2

=== debian/changelog ===
mpg123 (1.14.2-1) unstable; urgency=low

  * New upstream release.
    - Fix writing of WAV to stdout.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sat, 12 May 2012 13:30:02 -0400

mpg123 (1.14.1-1) unstable; urgency=low

  * New upstream release.
    - Fix subtle bug that could trigger failure to detect a format change on
      resync when using libmpg123's feeder API. (Closes: #672123)

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Mon, 07 May 2012 23:00:43 -0400

mpg123 (1.14.0-1) unstable; urgency=low

  * New upstream release.
    - Handle out-of-disk in the file writers. (Closes: #67259)
  * Drop patches which have been merged upstream:
    - 0002-hardening.patch
    - 0003-spelling_errors.patch
    - 0004-hyphen_used_as_minus_sign.patch
  * Update symbols file with new symbols.
  * Bump shlibs accordingly.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Tue, 01 May 2012 01:47:53 -0400

mpg123 (1.13.8-1) unstable; urgency=low

  * New upstream release.
    - Fix build for ARM Thumb (incompatible assembly in some macros).
  * Add myself to the uploaders list.
  * Update copyright file.
  * debian/rules:
    - Remove -marm from the CFLAGS. It's now properly fixed upstream.
    - Use the default optimizations in armel/armhf.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 18 Apr 2012 04:28:00 -0400

mpg123 (1.13.7-7) unstable; urgency=low

  [ Miguel Colon ]
  * Pass --with-cpu=neon to configure for armhf (again).
  * Fix a FTBFS in alpha.
  * Bump the remaining *_64 symbols to 1.13.7.
  * Preemptively fix a possible FTBFS in sparc64.

  [ Alessio Treglia ]
  * Add -marm to CFLAGS to fix FTBFS on armhf. Thanks to peter green for
    the patch. (Closes: #667658)

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Apr 2012 23:47:23 +0200

mpg123 (1.13.7-6) unstable; urgency=low

  * Pass --with-cpu=arm_nofpu to configure for armhf too.

 -- Alessio Treglia <alessio@debian.org>  Sun, 01 Apr 2012 12:01:15 +0200

mpg123 (1.13.7-5) unstable; urgency=low

  * Upload to unstable.
  * Add patch to correct some misspellings.
  * Fix a small mistake in the manpage.
  * Refresh debian/copyright, update to Debian Copyright Format 1.0.

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Mar 2012 14:24:58 +0200

mpg123 (1.13.7-4) experimental; urgency=low

  [ Alessio Treglia ]
  * Refresh packages descriptions. Thanks to Adrian Bunk for the
    suggestions. (Closes: #666206)
  * Replace Suggests' contents with a list of supported sound
    systems (Closes: #666208).
  * Update Homepage field.

  [ Miguel Colon ]
  * Update the symbols file to fix FTBFS and other issues.
    - Move *_64* symbols to the 64bit file.
    - kfreebsd-i386 (1.13.7) and alpha (1.12.1-3.2) don't have these symbols.
    - mpg123_decode_frame_32 and mpg123_feedseek_32 not in (<= 1.12.1-3.2).
  * Fix the failures to open the modules due to the removal of the .la files.

 -- Alessio Treglia <alessio@debian.org>  Fri, 30 Mar 2012 08:49:46 +0200

mpg123 (1.13.7-3) experimental; urgency=low

  * Enable LFS aliases, attempt to fix FTBFS on kfreebsd-i386.
  * Drop static library.
  * Improve ARM CPUs optimizations.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Mar 2012 14:13:02 +0200

mpg123 (1.13.7-2) experimental; urgency=low

  * Re-organize and refresh symbols. Thanks to Miguel Colon for the report
    and initial patch. (Closes: #661517)
  * Introduce new plugins:
    - JACK
    - PortAudio
    - OpenAL
  * Remove unnecessary build-dependencies.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Mar 2012 11:42:59 +0200

mpg123 (1.13.7-1) experimental; urgency=low

  * New maintainer (see bug#644851 comment#28).
    - Thanks to Daniel Kobras <kobras@debian.org> for the great work!
  * ACK NMUs. (Closes: #631642)
  * New upstream release. (Closes: #644851)
  * Switch to 3.0 (quilt) format.
  * Switch to DH 7 short-form.
  * Use dh_autoreconf.
  * Use dpkg-buildflags to get hardening flags.
  * Add patch to avoid failure when built with hardened flags.
  * Build with --as-needed.
  * Convert to Multi-Arch. (Closes: #651014)
  * Drop the esd output plugin. (Closes: #646390)
  * Remove all *.la files.
  * Replace hardcoded list of non-Linux architectures with
    linux-any. (Closes: #634766)
  * Remove dummy packages:
    - mpg123-oss-3dnow
    - mpg123-oss-i486
    - alsa dummy
    - nas dummy
  * debian/*.{postinst,preinst,prerm}
    - Use set -e in the body of the script rather than passing -s to
      the shell.
  * Remove unnecessary NEWS file.
  * Add gbp.conf file.
  * Add watch file.
  * Add Homepage field.
  * Bump Standards-Version.

 -- Alessio Treglia <alessio@debian.org>  Wed, 28 Mar 2012 10:00:21 +0200

mpg123 (1.12.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to libltdl-dev (Closes: #627165).
  * Empty dependency_libs (Closes: #622501).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 19:13:38 +0200

mpg123 (1.12.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unneeded build-depend on libartsc0-dev. (Closes: #561922)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 02 Apr 2011 22:59:31 +0200
