=== debian/control ===
Source: mpg123
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libasound2-dev [linux-any],
 libaudio-dev,
 libjack-dev,
 libltdl-dev,
 libopenal-dev,
 libpulse-dev [!hurd-i386],
 pkg-config,
 portaudio19-dev,
 python-minimal
Standards-Version: 3.9.3
Homepage: http://mpg123.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpg123.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpg123.git

Package: mpg123
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ${plugin:Recommends},
 ${shlibs:Recommends}
Suggests:
 alsa-utils,
 jackd,
 nas,
 oss-compat,
 oss4-base,
 pulseaudio
Provides:
 mp3-decoder,
 mpg123-oss-3dnow
Replaces:
 mpg123-alsa,
 mpg123-esd,
 mpg123-nas,
 mpg123-oss-3dnow,
 mpg123-oss-i486
Description: MPEG layer 1/2/3 audio player
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains output plugins for several audio systems, including
 OSS4, the Advanced Linux Sound Architecture (ALSA), JACK, PortAudio,
 PulseAudio, OpenAL and the Network Audio System (NAS).

Package: libmpg123-0
Multi-Arch: same
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (shared library)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the C libraries needed to run executables that use
 the mpg123 library.

Package: libmpg123-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends:
 libmpg123-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (development files)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the C development headers and library files needed
 to compile programs using the mpg123 library.
