## mpg123 1.14.2+svn20120622

=== debian/changelog ===
mpg123 (1.14.2+svn20120622-1) unstable; urgency=low

  * Fresh snapshot from upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 22 Jun 2012 09:48:18 +0200
