## mpg123 1.15.3

=== debian/changelog ===
mpg123 (1.15.3-1ubuntu1) saucy; urgency=low

  * debian/libmpg123-0.symbols: Add arm64 and ppc64el as 64-bit arches.

 -- William Grant <wgrant@ubuntu.com>  Wed, 16 Oct 2013 20:10:20 +1100

mpg123 (1.15.3-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
    - Build fix with older shells (== in configure).
    - Fix WAV writing. AGAIN.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 05 Apr 2013 14:06:03 -0400

mpg123 (1.15.1-1) experimental; urgency=low

  * New upstream release.
    - Getting WAV/AU/CDR writing back to a sane state while still catching
      out-of-disk when writing headers. (Closes: #680101)
    - Fix corner case in HTTP communication with missing path in Location
      header. (Closes: #700721)
  * Update symbols file with new symbols.
  * Bump shlibs accordingly.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 01 Mar 2013 10:11:28 -0500
