## mpg123 1.16.0

=== debian/changelog ===
mpg123 (1.16.0-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/libmpg123-0.symbols: Add arm64 and ppc64el as 64-bit arches.

 -- William Grant <wgrant@ubuntu.com>  Fri, 20 Dec 2013 16:15:46 +1100

mpg123 (1.16.0-1) unstable; urgency=low

  * New upstream release:
    - Taihei strikes again:
      + New Huffman decoding scheme (configurable, on by default) brings
        nice boost to mpg123 to make it the fastest decoder on modern
        CPUs again.
      + new AVX decoder
    - assembly-optimized DCT36 for SSE and AVX
    - added configs for vintage 3DNow(ext) CPUs (AMD K6) utilizing
      assembly DCT36
    - added configs for vintage SSE CPUs (Pentium M), utilizing C DCT36
    - added FORMAT command to generic control
    - added support for ID3v2 APIC frames
    - added mpg123-id3dump as official companion to extract meta data
      (including writing of album art from APIC to files)
    - added mpg123-strip as official companion to strip dirt out of MPEG
      streams (including meta data)
    - not deleting ID3 data right after printing in generic control
    - module loader a bit more flexible with relative MPG123_MODDIR
    - Fix chopped-off playback with pulseaudio output: draining the output
      now on closing.
    - SDL output fixup, a) not chopping off end and b) non-fatal underrun
    - added support for screen and iris-ansi terminals with --title
    - fixes/enhancements for sgi audio output
    - libmpg123: proper largefile aliases for proper systems (FreeBSD with
      one one-and-only off_t). This enables client software that insists on
      defining pointless _FILE_OFFSET_BITS. (Closes: #720440)
    - wrapper script src/mpg123-with-modules to ease the pain of running
      mpg123 with modules without installation (setting MPG123_MODDIR)
    - removed ALSA 0.5 code (unused for longtime, last GPL-only bit)
  * Drop kfreebsd LFS patch, applied upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Oct 2013 11:25:27 +0100

mpg123 (1.15.3-2) unstable; urgency=low

  * Provide 64 bit wrapper functions on kfreebsd, Closes: #720440
  * Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2013 15:26:50 +0200
