=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
+ Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
  debhelper (>= 9),
@@ -18,7 +19,7 @@
  pkg-config,
  portaudio19-dev,
  python-minimal
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mpg123.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpg123.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpg123.git
