=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,7 @@
 	dh_installchangelogs --remaining-packages
 
 override_dh_makeshlibs:
-	dh_makeshlibs $(LIB_PKGSTR) -V "$(LIB_PKG) (>= 1.14.0)"
+	dh_makeshlibs $(LIB_PKGSTR) -V "$(LIB_PKG) (>= 1.15.1)"
 
 override_dh_shlibdeps:
 	dh_shlibdeps $(ALL_PKGSTR) -Xdebian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123/ -- \
