## mpg123 1.20.1

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
@@ -19,7 +17,7 @@
  pkg-config,
  portaudio19-dev,
  python-minimal
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mpg123.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpg123.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpg123.git
@@ -40,7 +38,6 @@
  oss4-base,
  pulseaudio
 Provides:
- mp3-decoder,
  mpg123-oss-3dnow
 Replaces:
  mpg123-alsa,
@@ -77,8 +74,7 @@
 Section: libdevel
 Depends:
  libmpg123-0 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+ ${misc:Depends}
 Description: MPEG layer 1/2/3 audio decoder (development files)
  mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
  1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
