=== debian/changelog ===
mpg123 (1.22.4-1) unstable; urgency=medium

  * New upstream release.
    - Fix regression introduced with a bugfix in 1.14.1 to make free format
      streams work again.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 18 Sep 2015 03:42:40 -0400

mpg123 (1.22.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix UTF-16 surrogate detection because that used to falsely detect
      characters above 0xDFFF as surrogates. (Closes: 786718)
  * Update the Suggests so that they can be satisfied in all architectures.
  * Introduce a wrapper for the pulse plugin.
  * Simplify the rules file by removing the dh_shlibdeps and dh_makeshlibs
    overrides.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 06 Aug 2015 19:13:48 -0400

mpg123 (1.22.2-1) unstable; urgency=medium

  * New upstream release.
  * Check if DEB_HOST_ARCH_CPU is i386 instead of i486. (Closes: 751800)
    - In i386/hurd-i386/kfreebsd-i386 don't default to only building the
      "broken" decoder.
  * Override lintian error libmpg123-0: shlib-with-non-pic-code in i386.
    - Previous fix reintroduces all decoders and skips the "bad" one. The
      faster decoders use optimizations with non-pic code.
  * Update the watch file to verify the cryptographic signatures.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 02 Jul 2015 23:32:31 -0400

mpg123 (1.20.1-2) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Update symbols file to prevent FTBFS on arm64.
    Thanks to Will Newton for pointing this out. (Closes: #758227)

  [ Sebastian Ramacher ]
  * debian/control: Remove ${shlibs:Depends} from libmpg123-dev's Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Aug 2014 11:51:27 +0200

mpg123 (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove myself from the Uploaders list.

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Aug 2014 10:36:45 +0100

mpg123 (1.20.0-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS on ppc64el. Thanks to Fernando Seiti Furusato for
    the patch. (Closes: #751136)
  * debian/copyright:
    - Update copyright holders information.
    - copyright-1 format compliance fixes.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Jul 2014 15:55:17 +0100

mpg123 (1.18.0-1) unstable; urgency=low

  * New upstream release, Closes: #737243
    - libmpg123 version 39
    - Big version increase for clear distinction regarding the 1.14.x regression
      fixes in libmpg123.
    - Regression fix: Ensure decoder reinitialization on combination of seek and
      resync (buffer overflow bug 201, introduced in 1.14.1).
    - Regression fix: Make parsing really end on reaching of junk limit
      (introduced in 1.14.4).
    - Add check for bad bit allocation value in layer I decoder (removes audible
      glitch in bug 201 test file).
    - Avoid wrong error message about Frankenstein streams when gapless decoding
      disabled.
    - Be verbose about big header changes (Frankenstein streams). Note that
      changes in samples per frame will confuse the seeking code, but decoding
      can get through.
    - Actually use the full routine to close tracks. Avoids socket leak when
      playing multiple HTTP streams from a playlist (bug 203).
    - Send correct host header when connecting through HTTP proxy (bug 202,
      figured out by Rajeev V. Pillai).
    - The console application now informs about changed major stream properties
      (prints out another header line).
    - mpg123-id3dump --no-scan; for speedup
    - hide -C parameter from mpg123 --help when it is not supported
    - added tinyalsa Output (by Jarno Lehtinen)
    - build system tweaking
    - some care for fixing Cygwin builds
  * Update symbol table to work with mips64/mips64el.
    Thanks to YunQiang Su for the patch. (Closes: #729047)
  * Update symbol table to work with x32.
  * Bump Standards-Version.
    - Remove mp3-decoder from the Provides list.

  [ Riku Voipio ]
  * switch arm to use generic_fpu, Closes: #738981, LP: #1072696

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sat, 15 Feb 2014 13:42:35 +0000
