=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  pkg-config,
  portaudio19-dev,
  python-minimal
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mpg123.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpg123.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpg123.git
@@ -27,15 +27,12 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends:
- ${plugin:Recommends},
- ${shlibs:Recommends}
 Suggests:
- alsa-utils,
+ alsa-utils [linux-any],
  jackd,
  nas,
- oss-compat,
- oss4-base,
+ oss-compat [linux-any],
+ oss4-base [linux-any],
  pulseaudio
 Provides:
  mpg123-oss-3dnow
@@ -57,7 +54,8 @@
 Multi-Arch: same
 Architecture: any
 Section: libs
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
